- Qt 6.10
- Qt QML Compiler
- C++ Classes
- QtQmlCompiler (Technical Preview)
- Method
- Qt 6.10.2 Reference Documentation

# QQmlSA::Method Class

class QQmlSA::Method

Represents a QML method. More...

Header: | `#include <Method>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS QmlCompiler)` `target_link_libraries(mytarget PRIVATE Qt6::QmlCompiler)`
Status: | Technical Preview

- List of all members, including inherited members

## Public Types

class | Methods

## Public Functions

| Method()
| Method(const QQmlSA::Method &other)
| Method(QQmlSA::Method &&other)
| ~Method()
QString | methodName() const
QQmlSA::MethodType | methodType() const
QQmlSA::SourceLocation | sourceLocation() const
QQmlSA::Method & | operator=(QQmlSA::Method &&other)
QQmlSA::Method & | operator=(const QQmlSA::Method &other)

## Related Non-Members

bool | operator!=(const QQmlSA::Method &lhs, const QQmlSA::Method &rhs)
bool | operator==(const QQmlSA::Method &lhs, const QQmlSA::Method &rhs)

## Detailed Description

## Member Function Documentation

### Method::Method()

Constructs a new Method object.

### Method::Method(const QQmlSA::Method &other)

Creates a copy of other.

### `[noexcept]` Method::Method(QQmlSA::Method &&other)

Move-constructs a Method instance.

### `[noexcept]` Method::~Method()

Destroys the Method.

### QString Method::methodName() const

Returns the name of the this method.

### QQmlSA::MethodType Method::methodType() const

Returns the type of this method.

### QQmlSA::SourceLocation Method::sourceLocation() const

Returns the location in the QML code where this method is defined.

### `[noexcept]` QQmlSA::Method &Method::operator=(QQmlSA::Method &&other)

Move-assigns other to this Method instance.

### QQmlSA::Method &Method::operator=(const QQmlSA::Method &other)

Assigns other to this Method instance.

## Related Non-Members

### bool operator!=(const QQmlSA::Method &lhs, const QQmlSA::Method &rhs)

Returns `true` if lhs and rhs are not equal, and `false` otherwise.

### bool operator==(const QQmlSA::Method &lhs, const QQmlSA::Method &rhs)

Returns `true` if lhs and rhs are equal, and `false` otherwise.